Bug 181870 - Key quota handling incorrect in allocation
Key quota handling incorrect in allocation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-02-17 06:16 EST by David Howells
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 18:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix key quota detection in key allocation (462 bytes, patch)
2006-02-17 06:16 EST, David Howells
no flags Details | Diff

  None (edit)
Description David Howells 2006-02-17 06:16:15 EST
Description of problem:  
  
The key quota detection in key allocation only fails if *both* quotas are 
exceeded (there's a total space quota and a key count quota). 
  
Version-Release number of selected component (if applicable):  
 
 
How reproducible:  
  
100% 
  
Steps to Reproduce:  
1. key session - 
2. for ((i=1; i<101; i++)); do keyctl add user $i "a" @s; done 
3. cat /proc/key-users 
    
Actual results:  
 
Allocates all the keys successfully and attaches them to the session keyring. 
It can then be seen in step 3 that the key count quota has been exceeded. 
  
NOTE! This assumes that other pre-existing keys owned by this user won't 
already have shoved the key space quota into excess. 
 
Expected results:  
 
The excess key allocations should give a "Disk quota exceeded" error, 
and /proc/key-users should show that the number of keys allocated to that user 
maxes out at the quota. 
  
Additional info:
Comment 1 David Howells 2006-02-17 06:16:15 EST
Created attachment 124807 [details]
Fix key quota detection in key allocation
Comment 6 Red Hat Bugzilla 2006-08-10 18:20:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.